#include <bits/stdc++.h>

using namespace std;
int main(int argc, char** argv) {
	int n,a,p,q;
	scanf("%d %d",&n,&a);
	if(n<3*a)
	{
		printf("-1");
		return 0;
	}
	else
	{
		int pom=n-3*a;
		if(pom>2*a-2&&pom%2==0)
		{
			p=pom/2+1;
			q=pom/2-1;
			printf("%d %d\n",p,q);
			printf("0 %d\n",a);
			printf("0 %d\n",a);
			printf("0 %d\n",a);
		}
		else if(pom>2*a-2&&pom%2==1)
		{
			pom--;
			p=pom/2+1;
			q=pom/2-1;
			printf("%d %d\n",p,q);
			printf("1 %d\n",a);
			printf("0 %d\n",a);
			printf("0 %d\n",a);
		}
		else if(pom>=a)
		{
			p=a;
			q=pom-a;
			printf("%d %d\n",p,q);
			printf("0 %d\n",a);
			printf("0 %d\n",a);
			printf("0 %d\n",a);
		}
		else if(pom==a-1)
		{
			printf("%d %d\n",pom-1,a);
			printf("1 %d\n",a);
			printf("0 %d\n",a);
		}
		else if(pom<a-1)
		{
			printf("%d %d\n",pom,a);
			printf("0 %d\n",a);
			printf("0 %d\n",a);
		}
		
	}
	return 0;
}